#!/bin/sh

username=`whoami`
if [ $username != "root" ]
then
	echo "You must be root to use this command"
	exit 1
fi

if [ -z $1 ]
then
	echo "You must specify a mirror..."
	echo "Useage: update.sh <url>"
	exit 1
fi

urpmi.removemedia update_source
urpmi.addmedia --update update_source $1 with ../base/synthesis.hdlist.cz
urpmi --media update_source --auto-select --auto --X

exit 0